Subject: Re: inux-next: Tree for Apr 27 (uml + mm/memcontrol.c)

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Fri, 04 May 2012 23:59:02 +0530

David Rientjes <[email-masked]> writes:

>> Is this a claim that memory-intensive workloads will have the exact same 
>> performance with and without memcg enabled?

> I've just run specjbb2005 three times on my system both with and without 
> cgroup_disable=memory on the command line and it is consistently 1% faster 
> without memcg.  If I add XX:+UseLargePages to the command line to use 
> hugepages it's even larger.  So why must I incur this performance 
> degradation if I simply want to control who may mmap hugepages out of the 
> global pool?

Even if we end up having a seperate controller for hugetlb, we would need
some bits of memcg, like tracking page cgroup, moving page cgroup on
page offline. We will also be duplicating some amount of framework for
supporting cgroup removal etc, because all those code deal with struct
page (actually compound page )

-aneesh